Categories:
  - Internet
  - Phone & SMS
License: Apache-2.0
AuthorName: New Vector Ltd.
AuthorEmail: android@riot.im
WebSite: https://riot.im/
SourceCode: https://github.com/vector-im/riotx-android
IssueTracker: https://github.com/vector-im/riotx-android/issues
Translation: https://translate.riot.im/projects/riot-android/
Changelog: https://github.com/vector-im/riotx-android/blob/HEAD/CHANGES.md
LiberapayID: '10794'
Bitcoin: 1LxowEgsquZ3UPZ68wHf8v2MDZw82dVmAEa

Description: |-
    '''Note: This version is going to be discontinued and continued as''' <a href="https://f-droid.org/packages/im.vector.app/">Element</a>.

    RiotX is a new client for the Matrix protocol (Matrix.org): an open network for secure, decentralised communication. RiotX is a full rewrite of the Riot Android client, based on a full rewrite of the Matrix Android SDK.

    Disclaimer: This is a beta version. RiotX is currently in active development and contains limitations and (we hope not too many) bugs. All feedback is welcome!

    RiotX supports:
    * Login to an existing account
    * Create room and join public rooms
    * Accept and reject invitations
    * List users rooms
    * View room details
    * Send text messages
    * Send attachment
    * Read and write messages in encrypted rooms
    * Crypto: E2E keys backup, advance device verification, key share request and answer
    * Push notification
    * Light, Dark and Black themes

    Not all features in Riot are implemented in RiotX yet. Main missing (and coming soon!) features:
    * Calls
    * ...

RepoType: git
Repo: https://github.com/vector-im/riotx-android

Builds:
  - versionName: 0.12.0-dev
    versionCode: 1200
    commit: v0.12.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.13.0-dev
    versionCode: 40013000
    commit: v0.13.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.14.3
    versionCode: 40014030
    commit: v0.14.3
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.16.0
    versionCode: 40016000
    commit: v0.16.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.17.0
    versionCode: 40017000
    commit: v0.17.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.18.0
    versionCode: 40018000
    commit: v0.18.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.18.1
    versionCode: 40018010
    commit: v0.18.1
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.19.0
    versionCode: 40019000
    commit: v0.19.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.20.0
    versionCode: 40020000
    commit: v0.20.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.21.0
    versionCode: 40021000
    commit: v0.21.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.22.0
    versionCode: 40022000
    commit: v0.22.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle

  - versionName: 0.24.0
    versionCode: 40024000
    commit: v0.24.0
    subdir: vector
    gradle:
      - fdroid
    srclibs:
      - piasy@v1.6.2
    prebuild:
      - tac ../build.gradle | awk '/dl.bintray.com\/piasy\/maven/{getline;$0="mavenLocal
        {"}{print $0}' | tac > ../build.gradle.new
      - mv ../build.gradle.new ../build.gradle
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/ from the PlayStore//g' src/main/res/values/strings.xml

MaintainerNotes: |-
    Uses piasy/BigImageViewer which gets build and installed to a local maven repo in srclib prepare step.

    In prebuild we do weird stuff for replacing `maven {` with `mavenLocal {`. tac reverses the lines so we can match the following repo url.
    The awk call then matches the url, deletes the matching line and replaces the following line. No idea how it works, but it does.
    Finally reverse the lines again and move back to original build.gradle file.

ArchivePolicy: 0 versions
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 0.24.0
CurrentVersionCode: 40024000
